<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.account.LoginV2Activity">

    <include
        android:id="@+id/login_v2_top_bar"
        layout="@layout/layout_top_bar" />

    <View
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1" />

    <RelativeLayout
        style="@style/root_layout_style"
        android:layout_height="wrap_content"
        android:padding="@dimen/dp_16">

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_login_v2_welcome_back_title"
            style="@style/my_TextView_style_v2"
            android:text="@string/txt_welcome_back"
            android:textSize="@dimen/textSize20"
            android:textStyle="normal" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_login_v2_full_name"
            style="@style/my_TextView_style_v2"
            android:layout_below="@+id/tv_login_v2_welcome_back_title"
            android:text="@string/txt_to_abbidot"
            android:textSize="@dimen/textSize22"
            android:textStyle="bold" />

        <include
            android:id="@+id/il_login_v2_email_address"
            layout="@layout/layout_input_edit_view"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_66"
            android:layout_below="@id/tv_login_v2_full_name"
            android:layout_marginTop="@dimen/dp_24" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_email_error_tip_login"
            style="@style/my_TextView_style_v2"
            android:layout_below="@id/il_login_v2_email_address"
            android:layout_marginTop="@dimen/dp_10"
            android:text="@string/txt_valid_email"
            android:textColor="@color/red_color2"
            android:textSize="@dimen/textSize14"
            android:visibility="gone"
            app:typeface="@string/roboto_regular_font" />

        <include
            android:id="@+id/il_login_v2_password"
            layout="@layout/layout_input_edit_view"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_66"
            android:layout_below="@id/tv_email_error_tip_login"
            android:layout_marginTop="@dimen/dp_12" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_password_error_tip_login"
            style="@style/my_TextView_style_v2"
            android:layout_below="@id/il_login_v2_password"
            android:layout_marginTop="@dimen/dp_10"
            android:text="@string/txt_please_enter_pws"
            android:textColor="@color/red_color2"
            android:textSize="@dimen/textSize14"
            android:visibility="gone"
            app:typeface="@string/roboto_regular_font" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_login_v2_forgot_password"
            style="@style/my_TextView_style_v2"
            android:layout_below="@id/tv_password_error_tip_login"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="@dimen/dp_16"
            android:background="@drawable/selector_transparent_pressed"
            android:text="@string/login_txt_fogot"
            android:textSize="@dimen/textSize14"
            android:textStyle="bold" />

        <com.abbidot.tracker.widget.TypefaceButton
            android:id="@+id/btn_login_v2_login"
            style="@style/my_match_RoundRect_Button_style"
            android:layout_below="@id/tv_login_v2_forgot_password"
            android:layout_marginTop="@dimen/dp_26"
            android:layout_marginBottom="@dimen/dp_16"
            android:text="@string/txt_login"
            app:qmui_radius="@dimen/dp_64"
            app:typeface="@string/roboto_bold_font" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_login_v2_signup"
            style="@style/my_TextView_style_v2"
            android:layout_below="@id/btn_login_v2_login"
            android:layout_alignStart="@id/tv_login_v2_forgot_password"
            android:layout_marginStart="@dimen/dp_6"
            android:layout_marginTop="@dimen/dp_4"
            android:background="@drawable/selector_transparent_pressed"
            android:text="@string/txt_signup"
            android:textSize="@dimen/textSize16"
            android:textStyle="bold" />

        <com.abbidot.tracker.widget.TypefaceTextView
            style="@style/my_TextView_style_v2"
            android:layout_alignTop="@id/tv_login_v2_signup"
            android:layout_alignBottom="@id/tv_login_v2_signup"
            android:layout_toStartOf="@id/tv_login_v2_signup"
            android:text="@string/login_txt_no_account"
            android:textColor="@color/gray_color50"
            android:textSize="@dimen/textSize14"
            app:typeface="@string/roboto_regular_font" />
    </RelativeLayout>
</androidx.appcompat.widget.LinearLayoutCompat>